Subject: Re: find command hangs for 20 sec before starting with cygwin1.dll is 1.5.12
From: Isaac Foraker <[email-masked]>
To: [email-masked]
Date: Thu, 16 Dec 2004 14:05:12 -0700

I am experiencing the same delay with findutils 4.2.10-5. If I downgrade 
to an older version of findutils, the delay goes away. On my system, 
`find' was taking 30-40 seconds to start. I found that after I removed a 
bad mapped network drive, the delay dropped to 6-7 seconds for `find' to 
start. I am also finding that running `mount' to display the list of 
mounts pauses for the same 6-7 seconds, and if I run `mount' and `find' 
at the same time, they both always finish at the same time, even if I 
start running them a couple seconds apart. That is about the extent of 
diagnostic I have time to do right now.

IF

Andrew Stebakov wrote:

>Hi,
>
>I just updated my cygwin to latest (version 1.59) and
>cygwin1.dll is 1.5.12.
>I found that “find” command takes a long time to start
>(about 20 seconds). It shows in my xemacs when I load
>ecb and issue igrep-find. 
>I replaced the cygwin1.dll with some old version and
>the problem went away (also I had to replace xargs,
>grep and find executables for the old ones). 
>
>On another PC the same cygwin with xemacs doesn’t show
>the problem.
>Both of them have the VirusScan on. I tried to disable
>the VirusScan but it doesn’t fix the problem.
>What can I do fix it? Can I get the previous version
>of cygwin1.dll?
>
>Thanks in advance,
>Andrei
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/